Update owner

> **Important:** You can't update the details of an owner of a processing account. Use this method to update the details of an owner associated with a funding recipient. To update an owner, you need their ownerId. Our gateway returned the ownerId in the response of the [Create Funding Recipient](https://docs.payroc.com/api/schema/funding/funding-recipients/create) method and the [Create Funding Recipient Owner](https://docs.payroc.com/api/schema/funding/funding-recipients/create-owner) method. **Note:** If you don't have the ownerId, use the [List Funding Recipient Owners](https://docs.payroc.com/api/schema/funding/funding-recipients/list-owners) method, the [Retrieve Funding Recipient](https://docs.payroc.com/api/schema/funding/funding-recipients/retrieve) method, or the [List Funding Recipients](https://docs.payroc.com/api/schema/funding/funding-recipients/list) method to search for the funding recipient owner. You can update the following details about an owner: - Personal details, including their name, date of birth, and address. - Identification details, including their identification type and number. - Contact details, including their email address. - Relationship to the business, including whether they are a control prong.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ownerIdintegerRequired
Unique identifier that we assigned to the owner.

Request

This endpoint expects an object.
firstNamestringRequired<=50 characters
Owner's first name.
lastNamestringRequired<=50 characters
Owner's last name.
dateOfBirthdateRequired

Owner’s date of birth. The format of this value is YYYY-MM-DD.

addressobjectRequired
Object that contains information about the address.
identifierslist of objectsRequired
Array of IDs.
contactMethodslist of objectsRequired

Array of polymorphic objects, which contain contact information.

Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number.

The value of the type parameter determines which variant you should use:

  • email - Email address
  • phone - Phone number
  • mobile - Mobile number
  • fax - Fax number
relationshipobjectRequired
Object that contains information about the owner's relationship to the business.
middleNamestringOptional<=50 characters
Owner's middle name.

Response

Successful request. We updated the owner.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error